#
# spec file for package usnic_tools
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define special_version %{nil}
Name:           usnic_tools
Version:        1.1.2.1
Release:        2.5
Summary:        Extract diagnostics and informational meta data out of Cisco usNIC devices
License:        BSD-2-Clause OR GPL-2.0-only
Group:          Productivity/Networking/System
URL:            https://www.cisco.com/
Source0:        https://github.com/cisco/usnic_tools/releases/download/v%{version}/usnic-tools-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libfabric-devel
ExclusiveArch:  x86_64

%description
This is a tool for extracting some diagnostics and informational
meta data out of Cisco usNIC devices using the Cisco usNIC extensions
in libfabric.

The usnic_devinfo executable will return information about usNIC
Linux devices.

%prep
%setup -q -n usnic-tools-%{version}

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/usnic_devinfo
%{_mandir}/man1/usnic_devinfo.*

%changelog
* Mon Aug  7 2023 Nicolas Morey <nicolas.morey@suse.com>
- Drop infinipath-psm dependency
* Tue May  3 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 1.1.2.1
  * No source changes
- Use SourceURLs
- Minor spec file modernization
* Sat Aug 12 2017 jengelh@inai.de
- Make description neutral.
* Thu Jun  8 2017 nmoreychaisemartin@suse.com
- Update to version 1.1.2.0
  * Add a man page for usnic_devinfo.1
  * Add -h CLI option to usnic_devinfo for help
- Add _service to fetch tarball from github
- Add COPYING file and fix license
* Tue May 16 2017 nmoreychaisemartin@suse.com
- Add BuildRequires to infinipath-psm-devel to avoid
  bad dependency to psm2-compat
* Fri Nov 25 2016 pth@suse.de
- Sync Factory with SLES12 SP2.
* Wed May 25 2016 pth@suse.de
- Make package x86_64 exclusive as libfabric is only available
  there.
* Tue May 24 2016 pth@suse.de
- Update to 1.1.1.0 from git (fate#320711).
  This version uses libfabric.
- Generate ChangeLog from git log and include it in the package.
* Tue Aug 19 2014 pth@suse.de
  * Fixed incorrect enic and usnic_verbs versions in usnic_verbs_check
  * Fixed usnic_tools build breakage due to LICENSE filewas moved to a
    different location
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Tue May 27 2014 pth@suse.de
- Initial package (fate#317289)
- Fix packaging
- USNIC is Intel/AMD only so set ExclusiveArch
- Remove noarch as it clashes with with ExclArch
